%define name aalib
%define version 1.2
%define release 5

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: An ASCII art library.

Name: %{name}
Version: %{version}
Release: %{release}
Group: System Environment/Libraries
Copyright: LGPL
Url: http://www.ta.jcu.cz/aa
Source0: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/ldconfig /sbin/install-info

%description
AA-lib is a low level graphics library that doesn't require a graphics
device and has no graphics output.  Instead AA-lib replaces those
old-fashioned output methods with a powerful ASCII-art renderer.  The
AA-Project is working on porting important software like DOOM and Quake
to work with AA-lib. If you'd like to help them with their efforts,
you'll also need to install the aalib-devel package.

%package devel
Summary: The static libraries and header files for AA-lib.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The aalib-devel package contains the static libraries and header files
for the AA-lib ASCII art library.  If you'd like to develop programs
using AA-lib, you'll need to install aalib-devel.

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-x --with-curses-driver=yes --with-ncurses
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install-strip
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info*

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog NEWS
%attr(755,root,root) /usr/bin/aafire
%attr(755,root,root) /usr/bin/aainfo
%attr(755,root,root) /usr/bin/aasavefont
%attr(755,root,root) /usr/bin/aatest
%attr(755,root,root) /usr/lib/libaa.so.1.0.3
%attr( - ,root,root) /usr/lib/libaa.so.1
%attr(644,root,root) /usr/info/*.info*.gz

%files devel
%attr(644,root,root) /usr/lib/libaa.a
%attr( - ,root,root) /usr/lib/libaa.so
%attr(644,root,root) /usr/lib/libaa.la
%attr(644,root,root) /usr/include/*.h

%clean
rm -r $RPM_BUILD_ROOT

%post
if [ -e /usr/info/libaa.info.gz ]; then
	/sbin/install-info /usr/info/libaa.info.gz /usr/info/dir
fi

/sbin/ldconfig

%preun
if [ -e /usr/info/libaa.info.gz ]; then
	/sbin/install-info --delete /usr/info/libaa.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig

%changelog
* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built package for 6.1

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
